<template>
  <div
    class="buttonQuestion"
    :class="{ '_dark': themeButton === 'dark' }"
    @click="showTooltip"
    v-click-outside="closeTooltip"
    v-tooltip="{
      content: content,
      placement: placement,
      classes: 'tooltip tooltipDark tooltipQuestion',
      trigger: isMobile() ? manual : hover,
      show: isShow,
      offset: 12,
      delay: 0 }">
    <img
      svg-inline
      src="~/assets/svg/redesign/question-mark.svg">
  </div>

</template>

<script>
import isMobileMixin from '~/assets/js/mixins/is-mobile';

export default {
  name: 'AppTooltipQuestion',
  mixins: [isMobileMixin],
  props: {
    content: {
      type: String,
      default: 'example text',
    },
    themeButton: {
      type: String,
      default: null,
    },
    placement: {
      type: String,
      default: 'bottom',
    },
  },
  data() {
    return {
      isShow: false,
    };
  },
  computed: {

  },
  methods: {
    showTooltip() {
      this.isShow = true;
    },
    closeTooltip() {
      this.isShow = false;
    },
  },
};
</script>

<style lang="postcss">
  .tooltip.tooltipQuestion {
    padding: 0.5rem;
    width: auto;
    max-width: 15rem;
  }
</style>
